%define name pfqueue
%define version 0.5.6
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Queue manager for the Postfix or Exim mail transport agent
License:	GPL
Group:		Monitoring
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
URL:		http://pfqueue.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	ncurses-devel


%description
Pfqueue is a simple console tool for managing MTA (Mail Transfer Agent)
message queues. It handles queues through  'backends',  libraries  that
interact  with  the  MTA,  and displays informations through a console,
ncurses based 'frontend'.
Currently, pfqueue has backends for Postfix (both 1.x and 2.x) and Exim
(both version 3 and 4).

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_mandir}/man1/pfqueue.1*
%{_mandir}/man5/pfqueue.conf.5*
%{_sbindir}/pfqueue
%{_sbindir}/spfqueue
%exclude %{_libdir}/libpfq*.a
%exclude %{_libdir}/libpfq*.la
%exclude %{_libdir}/libpfq*.so
%exclude %{_libdir}/libpfq*.so.?
%exclude %{_libdir}/libpfq_postfix1.so.*
%{_libdir}/libpfq_exim.so.*
%{_libdir}/libpfq_postfix2.so.*
%{_libdir}/libpfq_socket.so.*
%{_libdir}/libpfqueue.so.*




%changelog
* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.6-1mdv2008.1
+ Revision: 110891
- drop private macro definitions
- new version

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.2-2mdv2008.0
+ Revision: 70391
- kill ldconfig require as requested by pixel


* Sun Jul 02 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-02 12:31:21 (38284)
- new upstream release 0.5.2

* Sun Jul 02 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-02 12:19:56 (38282)
- import pfqueue-0.3.5-1mdk

* Fri Apr 15 2005 Luca Berra <bluca@vodka.it> 0.3.5-1mdk
- Initial contrib

